=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2015-04-19 23:03:37 +0000
+++ CMakeLists.txt	2015-04-21 22:20:43 +0000
@@ -180,11 +180,11 @@
 endif()
 
 if (USE_ZEITGEIST)
-    pkg_check_modules(ZEITGEIST zeitgeist-1.0>=0.3.14)
+    pkg_check_modules(ZEITGEIST zeitgeist-2.0>=0.3.14)
     set(OPTS_INCLUDE_DIRS "${OPTS_INCLUDE_DIRS};${ZEITGEIST_INCLUDE_DIRS}")
     set(OPTS_LIBRARIES "${OPTS_LIBRARIES};${ZEITGEIST_LIBRARIES}")
     add_definitions("-DHAVE_ZEITGEIST")
-    set(PKGS ${PKGS} zeitgeist-1.0)
+    set(PKGS ${PKGS} zeitgeist-2.0)
 endif()
 
 if (WIN32)

=== modified file 'midori/midori-browser.c'
--- midori/midori-browser.c	2015-04-09 19:20:41 +0000
+++ midori/midori-browser.c	2015-04-21 22:20:43 +0000
@@ -463,6 +463,9 @@
 
     #ifdef HAVE_ZEITGEIST
     const gchar* inter;
+    ZeitgeistEvent* zgevent;
+    ZeitgeistSubject* zgsubject;
+
     if (strstr (event, "access"))
         inter = ZEITGEIST_ZG_ACCESS_EVENT;
     else if (strstr (event, "leave"))
@@ -480,16 +483,27 @@
     if (KATZE_ITEM_IS_FOLDER (item))
         return;
 
-    zeitgeist_log_insert_events_no_reply (zeitgeist_log_get_default (),
-        zeitgeist_event_new_full (inter, ZEITGEIST_ZG_USER_ACTIVITY,
-                                  "application://midori.desktop",
-                                  zeitgeist_subject_new_full (
-            katze_item_get_uri (item),
-            strstr (type, "bookmark") ? ZEITGEIST_NFO_BOOKMARK : ZEITGEIST_NFO_WEBSITE,
-            zeitgeist_manifestation_for_uri (katze_item_get_uri (item)),
-            katze_item_get_meta_string (item, "mime-type"), NULL, katze_item_get_name (item), NULL),
-                                  NULL),
-        NULL);
+    zgsubject = zeitgeist_subject_new_full (
+        katze_item_get_uri (item),
+        strstr (type, "bookmark") ? ZEITGEIST_NFO_BOOKMARK : ZEITGEIST_NFO_WEBSITE,
+        zeitgeist_manifestation_for_uri (katze_item_get_uri (item)),
+        katze_item_get_meta_string (item, "mime-type"),
+        NULL,
+        katze_item_get_name (item),
+        NULL),
+
+    zgevent = zeitgeist_event_new_full (
+        inter,
+        ZEITGEIST_ZG_USER_ACTIVITY,
+        "application://midori.desktop",
+        NULL,
+        zgsubject,
+        NULL),
+
+    zeitgeist_log_insert_event_no_reply (zeitgeist_log_get_default (), zgevent, NULL);
+
+    g_object_unref (zgevent);
+    g_object_unref (zgsubject);
     #endif
 }
 

